import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdMeterialDetail } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-19 14:55
 */
interface AdMeterialDetailCU extends ConditionUtil<AdMeterialDetailCU> {
    ID: FieldUtil<AdMeterialDetailCU>;
    AD_MATERIAL_ID: FieldUtil<AdMeterialDetailCU>;
    TYPE: FieldUtil<AdMeterialDetailCU>;
    VALUE: FieldUtil<AdMeterialDetailCU>;
    STATUS: FieldUtil<AdMeterialDetailCU>;
    CREATE_TIME: FieldUtil<AdMeterialDetailCU>;
    CREATOR: FieldUtil<AdMeterialDetailCU>;
    UPDATE_TIME: FieldUtil<AdMeterialDetailCU>;
    UPDATOR: FieldUtil<AdMeterialDetailCU>;
}
declare class AdMeterialDetailMU extends TableUtilImpl<AdMeterialDetailCU, AdMeterialDetail> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdMeterialDetailCU;
    static get ID(): FieldUtil<AdMeterialDetailCU>;
    static get AD_MATERIAL_ID(): FieldUtil<AdMeterialDetailCU>;
    static get TYPE(): FieldUtil<AdMeterialDetailCU>;
    static get VALUE(): FieldUtil<AdMeterialDetailCU>;
    static get STATUS(): FieldUtil<AdMeterialDetailCU>;
    static get CREATE_TIME(): FieldUtil<AdMeterialDetailCU>;
    static get CREATOR(): FieldUtil<AdMeterialDetailCU>;
    static get UPDATE_TIME(): FieldUtil<AdMeterialDetailCU>;
    static get UPDATOR(): FieldUtil<AdMeterialDetailCU>;
    get ID(): FieldUtil<AdMeterialDetailCU>;
    get AD_MATERIAL_ID(): FieldUtil<AdMeterialDetailCU>;
    get TYPE(): FieldUtil<AdMeterialDetailCU>;
    get VALUE(): FieldUtil<AdMeterialDetailCU>;
    get STATUS(): FieldUtil<AdMeterialDetailCU>;
    get CREATE_TIME(): FieldUtil<AdMeterialDetailCU>;
    get CREATOR(): FieldUtil<AdMeterialDetailCU>;
    get UPDATE_TIME(): FieldUtil<AdMeterialDetailCU>;
    get UPDATOR(): FieldUtil<AdMeterialDetailCU>;
}
export { AdMeterialDetailMU, AdMeterialDetailCU };
